package dns_api

import (
	"net"
	"testing"
)

func TestDecodeEncode(t *testing.T) {
	zone := NewZoneFromPrivateKey(testZone, DecodeTorPrivateKey(testPrivateKey))

	zone.AddRecordTXT("@", []string{"test"}, 3600)
	zone.AddRecordA("test", net.IPv4(1, 2, 3, 4), 3600)

	t.Logf("encoded:")
	for _, rr := range zone.GetRRSet() {
		t.Logf("    %s\n", rr.String())
	}

	buf, err := zone.GetRRSet().Encode()
	if err != nil {
		t.Error(err)
	}

	rrset, err := DecodeRRSet(buf)
	if err != nil {
		t.Error(err)
	}
	t.Logf("decoded:")
	for _, rr := range rrset {
		t.Logf("    %s\n", rr.String())
	}
}
